#include <stdio.h>

int main(void){
  int n, a, b;
  scanf("%d %d",&n,&a);
  b=a-2;
  if (n<=a) { printf("%d", -1);
  goto kraj;}
  for(int i=1;i<=5;i++){
    printf("%d %d\n", a, b);
    n=n-a-b;
    if (n==0) break;
    if (n<=3*a) {
      a=a+2;
      b=n-a;
    }
  }
  kraj:n=n;
  return 0;
}